//  Dice.h
//  Written by:  Brian Lee Bowers
//  25 July 1998

//--  Inclusion Guard  --//
#ifndef DICE_H_
#define DICE_H_

//-  Include Header Files  -//
#include "RandNum.h"

//-----------------------------------------------------------
//  Class:  Dice
//  Purpose:  dice rolling class
//  Written by:  Brian Lee Bowers
//  Revisions:  0.0.1  25 July 1998
//
//  0.0.1  Use the () operator to get a number from the
//    die.  Must tell the constructor how many sides the
//    die has when declaring it.
//-----------------------------------------------------------

class Dice
{
public:                         // interface
  Dice(unsigned short);		// constructor
  ~Dice(void);			// destructor

  unsigned short operator()(void); // to get result of roll

private:			// member and friend use only
  unsigned short mySides;
  RandNum myRng;
  //******  DO NOT USE  ******//
  Dice(const Dice&){}		// disallow copy constructor
  const Dice& operator=(const Dice&){return *this;}
};

//--  End Inclusion Guard  --//
#endif
